tlfloat::BigUInt< N >::Montgomery Class Reference

`#include <tlfloat/bigint.hpp>`

Collaboration diagram for tlfloat::BigUInt< N >::Montgomery:
[legend]

## Public Member Functions

constexpr | Montgomery (BigUInt< N > n)
Montgomery & | operator= (const Montgomery &)=delete
| Montgomery (Montgomery &)=delete
constexpr BigUInt< N > | reduce (const BigUInt< N+1 > &x) const
constexpr BigUInt< N > | mul (const BigUInt< N > &x, const BigUInt< N > &y) const
constexpr BigUInt< N > | transform (const BigUInt< N > &x) const
constexpr BigUInt< N > | pow (BigUInt< N > a, BigUInt< N > e) const

## Public Attributes

const BigUInt< N > | n
const BigUInt< N > | nr
const BigUInt< N+1 > | recn
const BigUInt< N > | one

## Constructor & Destructor Documentation

## Montgomery() [1/2]

template<int N>

tlfloat::BigUInt< N >::Montgomery::Montgomery | ( | BigUInt< N > | n | ) |

inline constexpr

## Montgomery() [2/2]

template<int N>

tlfloat::BigUInt< N >::Montgomery::Montgomery | ( | Montgomery & |  | ) |

delete

## Member Function Documentation

## mul()

template<int N>

BigUInt< N > tlfloat::BigUInt< N >::Montgomery::mul | ( | const BigUInt< N > & | x,
|  | const BigUInt< N > & | y ) const

inline constexpr

## operator=()

template<int N>

Montgomery & tlfloat::BigUInt< N >::Montgomery::operator= | ( | const Montgomery & |  | ) |

delete

## pow()

template<int N>

BigUInt< N > tlfloat::BigUInt< N >::Montgomery::pow | ( | BigUInt< N > | a,
|  | BigUInt< N > | e ) const

inline constexpr

## reduce()

template<int N>

BigUInt< N > tlfloat::BigUInt< N >::Montgomery::reduce | ( | const BigUInt< N+1 > & | x | ) | const

inline constexpr

## transform()

template<int N>

BigUInt< N > tlfloat::BigUInt< N >::Montgomery::transform | ( | const BigUInt< N > & | x | ) | const

inline constexpr

## Member Data Documentation

## n

template<int N>

const BigUInt<N> tlfloat::BigUInt< N >::Montgomery::n

## nr

template<int N>

const BigUInt<N> tlfloat::BigUInt< N >::Montgomery::nr

## one

template<int N>

const BigUInt<N> tlfloat::BigUInt< N >::Montgomery::one

## recn

template<int N>

const BigUInt<N+1> tlfloat::BigUInt< N >::Montgomery::recn

The documentation for this class was generated from the following file:

- src/include/tlfloat/bigint.hpp